Subject: bug#8124: closed (Re: bug#8124: sort utilty?)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 28 Feb 2011 16:22:02 +0000

Your bug report

#8124: sort utilty?

which was filed against the coreutils package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
8124: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=8124
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#8124: sort utilty?
From: Eric Blake <[email-masked]>
To: "Betty J. Barr" <[email-masked]>
Cc: [email-masked], Bryan Bales <[email-masked]>
Date: Mon, 28 Feb 2011 09:21:10 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

[re-adding the list, for closure on this report]

On 02/28/2011 09:05 AM, Betty J. Barr wrote:
>> Because you are using a locale that regards punctuation as insignificant
>> in collation sequences.
>>
>> See this FAQ, then try 'LC_ALL=C sort ...' to see the difference.
>>
>> http://www.gnu.org/software/coreutils/faq/#Sort-does-not-sort-in-normal-order_0021

> Thank you. Setting the environment did work. Since I am at the mercy of
> our IT people in terms of versions and updates, it was just a shock when
> something I had used for years did not work.

Glad to hear it.  Yes, it is rather a shock when upgrading a system
changes the default locale to something different than it was before,
with all sorts of knock-on effects that many people are not expecting;
but it's nothing that coreutils can change other than to help teach
people about the effect of locale settings.

-- 
Eric Blake   [email-masked]    +1-801-349-2682
Libvirt virtualization library http://libvirt.org

Subject: sort utilty?
From: Betty J Barr <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sat, 26 Feb 2011 12:28:08 -0600 (CST)
List-Id: <debbugs-submit.debbugs.gnu.org>

I have used the "unix" sort for years without trouble, but suddenly 
something weird is happening. I have a student whose last name is Khan, 
and a student whose last name is Khanal,. The comma immediately follows 
the last name. Obviously Khan should be sorted before Khanal, both from 
the English standpoint and based on the ASCI code for a comma. But it is 
not. Khanal comes first. Why?
(The two files I have attached are the unsorted version (khan.txt) and the 
one produced by
sort +0.0  -0.14 khan.txt >khan.out

                          Dr. Betty Barr,
                          University of Houston